Bug 3122 - Attribute Read-only for Userprofile
Attribute Read-only for Userprofile
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.20
PPC Windows 2000
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-29 01:01 UTC by Walter Laub
Modified: 2005-10-16 12:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Laub 2005-09-29 01:01:04 UTC
described problem for: samba 3.0.20, 3.0.12, 3.0.13, 3.0.14a
latest tested release without described problem: 3.0.10

compiled on AIX5.X

When login the Userprofile is transfered to client, but all directories and some
files have the attribut "read-only" set.
For test we can reset the attributes with 'attrib -r -a -s -h "%USERPROFILE%\*"
/S /D'. But after logout/login we get the same behaviour.

Maybe this report is related to Bugzilla Bug 2813?
Comment 1 Gerald (Jerry) Carter 2005-10-12 09:59:49 UTC
please attach a gzipeed level 10 debug log for the transfer of the profile
from the server to client.
Comment 2 Jeremy Allison 2005-10-16 12:55:28 UTC
This is due to the code in smbd/dosmode.c that sets attributes to read-only if
the user doesn't have write access. Two fixes for this - if you have EA support
on the filesystem, set smbd to store DOS attributes in them using :

store dos attributes = yes

and explicitly set the dos attributes on the profile files.

Or secondly: set "acl check permissions = false".

This is fixed in 3.0.21 which has a new parameter "map readonly" that can
control this explicitly.

Jeremy.